MKFS.MINIX(8)

NOMBRE
mkfs.minix - construye un sistema de archivos Minix

SINOPSIS

mkfs.minix [opciones] dispositivo [tamaño-en-bloques]

DESCRIPCIÓN

mkfs.minix crea un sistema de ficheros MINIX en Linux sobre un dispositivo (usualmente una partición de disco).

El dispositivo es normalmente de la forma siguiente:

    /dev/hda[1-8] (primer disco IDE)
    /dev/hdb[1-8] (segundo disco IDE)
    /dev/sda[1-8] (primer disco SCSI)
    /dev/sdb[1-8] (segundo disco SCSI)

The device may be a block device or an image file of one, but this is not enforced. Expect not much fun on a character device :-).

The size-in-blocks parameter is the desired size of the file system, in blocks. It is present only for backwards compatibility. If omitted the size will be determined automatically. Only block counts strictly greater than 10 and strictly less than 65536 are allowed.

OPCIONES

-c, --check
    Check the device for bad blocks before creating the filesystem. If any are found, the count is printed.

-n, --namelength longitud
    Specify the maximum length of filenames. Currently, the only allowable values are 14 and 30 for file system versions 1 and 2. Version 3 allows only value 60. The default is 30.

--lock[=modo]
    Use exclusive BSD lock for device or file it operates. The optional argument mode can be yes, no (or 1 and 0) or nonblock. If the mode argument is omitted, it defaults to yes. This option overwrites environment variable $LOCK_BLOCK_DEVICE. The default is not to use any lock at all, but it’s recommended to avoid collisions with systemd-udevd(8) or other tools.

-i, --inodes número
    Especifica el número de nodos-índice para el sistema de ficheros.

-l, --badblocks nombrefichero
    Lee la lista de bloques defectuosos de nombrefichero. El fichero tendrá un número de bloque malo en cada línea. Se muestra el número total de bloques defectuosos.

-1
    Construye un sistema de ficheros Minix versión 1. Éste es el comportamiento por defecto.

-2, -v
    Construye un sistema de ficheros Minix versión 2.

-3
    Construye un sistema de ficheros Minix versión 3.

-h, --help
    Muestra un texto de ayuda y finaliza.

-V, --version
    Print version and exit. The long option cannot be combined with other options.

ENTORNO

LOCK_BLOCK_DEVICE=<mode>
    use exclusive BSD lock. The mode is "1" or "0". See --lock for more details.

ESTADO DE SALIDA

The exit status returned by mkfs.minix is one of the following:

0
    Ningún error.

8
    Error operativo.

16
    Error de sintaxis o de modo de empleo.

VÉASE TAMBIÉN

fsck(8), mkfs(8), reboot(8)

INFORMAR DE ERRORES

Para informar de cualquier error, utilice el sistema de seguimiento de fallos

DISPONIBILIDAD

The mkfs.minix command is part of the util-linux package which can be downloaded from

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Gerardo Aburruzaga García <gerardo.aburruzaga@uca.es> y Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.